Bug 150214 - array subscript out of range
Summary: array subscript out of range
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sodipodi   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phillip Compton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-03 19:52 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-04 01:05:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-03-03 19:52:57 UTC
Description of problem:

I just tried to compile sodipodi-0.34-2 from 
Redhat Fedora Extras development tree with the Intel C compiler.

The Intel compiler said

main.c(749): warning #175: subscript out of range

The source code is

	n[64] = '\0';

but earlier in the file is the declaration

	gchar n[64], c[1024];

I'm not sure what the fix is for this.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Phillip Compton 2005-03-04 01:05:15 UTC
sodipodi is dead (replaced by inkscape)

Comment 2 Michael Schwendt 2005-03-04 01:14:52 UTC
It's still in the devel tree, though.

Comment 3 Phillip Compton 2005-03-04 01:20:00 UTC
What's the process for getting it nixed? Can I just delete sodipodi
from the devel branch?

It was actually never supposed to be built for FC3 in the first place.


Note You need to log in before you can comment on or make changes to this bug.